#include "AudioCore.h"

AudioCore *AudioCore::instance = NULL;
SDL_mutex *AudioCore::singleton_lock = NULL;

AudioCore *AudioCore::AC()
{
	if(instance == NULL) {
		singleton_lock = SDL_CreateMutex();
		SDL_mutexP(singleton_lock);
		if(instance == NULL) {
			instance = new AudioCore();
		}
		SDL_mutexV(singleton_lock);
	}
	return instance;
}

AudioCore::AudioCore(const AudioCore &)
{
}

AudioCore &AudioCore::operator= (const AudioCore &)
{
	return *this;
}

void AudioCore::Die()
{
	SDL_mutexP(singleton_lock);
	if(instance != NULL) delete instance;
	instance = NULL;
	SDL_mutexV(singleton_lock);
	SDL_DestroyMutex(singleton_lock);
}
