#ifndef __Wall_h__
#define __Wall_h__

#include "Object.h"

using namespace std;

class Wall : public Object {
public:
	Wall(double x1, double y1, double x2, double y2, double thickness, double r, double g, double b);
	virtual ~Wall();
	virtual int GetType() { return OBJECT_WALL; }
	virtual void Draw();
	virtual void SetupODE(dWorldID, dSpaceID);
	virtual void UpdatePositions();
	virtual int HandleCollision(dGeomID you, int wp, Object *other, dSurfaceParameters &surface);

private:
	// wall
	double x1, y1, x2, y2;
	double thickness;
	double len, angle;
	double r, g, b;
};

#endif
